Vés al contingut (premeu Retorn)

Sou a: Inici / Gestió d'incidents de seguretat IRT / Notificacions / 19-11-2019 - Avís vulnerabilitat al Whatsapp

19-11-2019 - Avís vulnerabilitat al Whatsapp

Us fem extensiu el següent avís provinent del CCN-CERT referent a una vulnerabilitat detectada a l'app Whatsapp:

Nivel de Criticidad: Alto

El Equipo de Respuesta a Incidentes del Centro Criptológico Nacional, CCN-CERT, avisa de la publicación de una vulnerabilidad en Whatsapp.

1. CVE-2019-11931: Vulnerabilidad en Whatsapp que provoca un posible desbordamiento de búfer al enviar un archivo MP4 especialmente diseñado a un usuario. El fallo reside en la forma en que ciertas versiones anteriores de WhatsApp analizan los metadatos de flujo elemental de un archivo MP4, lo que puede resultar en ataques de denegación de servicio (DoS) o ejecución remota de código (RCE).

La vulnerabilidad está catalogada como crítica aunque por el momento carece de puntuación en la base de datos del NIST. En cualquier caso es una vulnerabilidad explotable de forma remota, lo que significa que tiene una gravedad elevada. Por el momento no se ha detectado la presencia de exploits públicos disponibles para su descarga que permitan a los atacantes aprovechar esta vulnerabilidad ni actividad en la red relacionada con la misma.

Recursos afectados:

Según el aviso oficial publicado por Facebook (propietario de Whatsapp) la lista de versiones de aplicaciones afectadas es la siguiente:

  • Versiones de Android anteriores a 2.19.274
  • Versiones de iOS anteriores a 2.19.100
  • Enterprise Client versiones anteriores a 2.25.3
  • Versiones de Windows Phone anteriores e incluidas 2.18.368
  • Business para versiones de Android anteriores a 2.19.104
  • Business para versiones de iOS anteriores a 2.19.100

Solución a la vulnerabilidad:

La vulnerabilidad ha sido corregida en las versiones de Whatsapp posteriores a las ya citadas anteriormente. Dichas versiones están disponibles directamente a través de las plataformas de apps correspondientes para cada sistema operativo afectado, como Google Play, App Store de Apple, Microsoft Store, o bien directamente desde la página oficial de Whatsapp:

https://www.whatsapp.com/

Recomendaciones:

En este caso, al tratarse de una aplicación de mensajería ampliamente utilizada, es importante aplicar la actualización correspondiente cuanto antes ya que el impacto de un ataque exitoso de esta vulnerabilidad puede tener consecuencias severas en la privacidad de una víctima. Además, se recomienda deshabilitar las descargas automáticas de imágenes, archivos de audio y vídeo desde la configuración de la aplicación.

Referencias:

Atentamente,

Equipo CCN-CERT